Update a deadline
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/probate/deadlines/{deadline_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"due_date": "2023-12-25",
"description": "<string>",
"completed_date": "2023-12-25",
"is_court_ordered": true,
"reminder_days_before": 123
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/probate/deadlines/{deadline_id}"
payload = {
"title": "<string>",
"due_date": "2023-12-25",
"description": "<string>",
"completed_date": "2023-12-25",
"is_court_ordered": True,
"reminder_days_before": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
due_date: '2023-12-25',
description: '<string>',
completed_date: '2023-12-25',
is_court_ordered: true,
reminder_days_before: 123
})
};
fetch('https://api.example.com/v1/cases/{case_id}/probate/deadlines/{deadline_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K7DL02HJ6T33HRYE78AN7KLM",
"title": "File estate inventory",
"description": "Detailed inventory of all estate assets must be filed within 3 months.",
"type": "inventory",
"due_date": "2026-01-15",
"completed_date": "2023-12-25",
"status": "upcoming",
"is_court_ordered": true,
"reminder_days_before": 14,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Probate Deadlines
Update a deadline
Update a deadline (mark complete, reschedule, etc.).
PATCH
/
cases
/
{case_id}
/
probate
/
deadlines
/
{deadline_id}
Update a deadline
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Available options:
filing, hearing, creditor_notice, inventory, accounting, distribution, tax_return, bond_renewal, other Available options:
upcoming, overdue, completed, waived Response
Deadline updated.
Show child attributes
Show child attributes
⌘I

